| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::GeneralizedHoughGuil Class Referenceabstract
Image Processing » Structural Analysis and Shape Descriptors

finds arbitrary template in the grayscale image using Generalized Hough Transform More...

`#include <opencv2/imgproc.hpp>`

Inheritance diagram for cv::GeneralizedHoughGuil:

## Public Member Functions
virtual double | getAngleEpsilon () const =0
virtual double | getAngleStep () const =0
virtual int | getAngleThresh () const =0
virtual int | getLevels () const =0
virtual double | getMaxAngle () const =0
virtual double | getMaxScale () const =0
virtual double | getMinAngle () const =0
virtual double | getMinScale () const =0
virtual int | getPosThresh () const =0
virtual double | getScaleStep () const =0
virtual int | getScaleThresh () const =0
virtual double | getXi () const =0
virtual void | setAngleEpsilon (double angleEpsilon)=0
| Maximal difference between angles that treated as equal. More...
virtual void | setAngleStep (double angleStep)=0
| Angle step in degrees. More...
virtual void | setAngleThresh (int angleThresh)=0
| Angle votes threshold. More...
virtual void | setLevels (int levels)=0
| Feature table levels. More...
virtual void | setMaxAngle (double maxAngle)=0
| Maximal rotation angle to detect in degrees. More...
virtual void | setMaxScale (double maxScale)=0
| Maximal scale to detect. More...
virtual void | setMinAngle (double minAngle)=0
| Minimal rotation angle to detect in degrees. More...
virtual void | setMinScale (double minScale)=0
| Minimal scale to detect. More...
virtual void | setPosThresh (int posThresh)=0
| Position votes threshold. More...
virtual void | setScaleStep (double scaleStep)=0
| Scale step. More...
virtual void | setScaleThresh (int scaleThresh)=0
| Scale votes threshold. More...
virtual void | setXi (double xi)=0
| Angle difference in degrees between two points in feature. More...
Public Member Functions inherited from cv::GeneralizedHough
virtual void | detect (InputArray image, OutputArray positions, OutputArray votes=noArray())=0
| find template on image More...
virtual void | detect (InputArray edges, InputArray dx, InputArray dy, OutputArray positions, OutputArray votes=noArray())=0
virtual int | getCannyHighThresh () const =0
virtual int | getCannyLowThresh () const =0
virtual double | getDp () const =0
virtual int | getMaxBufferSize () const =0
virtual double | getMinDist () const =0
virtual void | setCannyHighThresh (int cannyHighThresh)=0
| Canny high threshold. More...
virtual void | setCannyLowThresh (int cannyLowThresh)=0
| Canny low threshold. More...
virtual void | setDp (double dp)=0
| Inverse ratio of the accumulator resolution to the image resolution. More...
virtual void | setMaxBufferSize (int maxBufferSize)=0
| Maximal size of inner buffers. More...
virtual void | setMinDist (double minDist)=0
| Minimum distance between the centers of the detected objects. More...
virtual void | setTemplate (InputArray templ, Point templCenter=Point(-1, -1))=0
| set template to search More...
virtual void | setTemplate (InputArray edges, InputArray dx, InputArray dy, Point templCenter=Point(-1, -1))=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

finds arbitrary template in the grayscale image using Generalized Hough Transform

Detects position, translation and rotation [93] .

## Member Function Documentation

## ◆ getAngleEpsilon()

virtual double cv::GeneralizedHoughGuil::getAngleEpsilon | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getAngleEpsilon( |  | )

## ◆ getAngleStep()

virtual double cv::GeneralizedHoughGuil::getAngleStep | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getAngleStep( |  | )

## ◆ getAngleThresh()

virtual int cv::GeneralizedHoughGuil::getAngleThresh | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getAngleThresh( |  | )

## ◆ getLevels()

virtual int cv::GeneralizedHoughGuil::getLevels | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getLevels( |  | )

## ◆ getMaxAngle()

virtual double cv::GeneralizedHoughGuil::getMaxAngle | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getMaxAngle( |  | )

## ◆ getMaxScale()

virtual double cv::GeneralizedHoughGuil::getMaxScale | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getMaxScale( |  | )

## ◆ getMinAngle()

virtual double cv::GeneralizedHoughGuil::getMinAngle | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getMinAngle( |  | )

## ◆ getMinScale()

virtual double cv::GeneralizedHoughGuil::getMinScale | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getMinScale( |  | )

## ◆ getPosThresh()

virtual int cv::GeneralizedHoughGuil::getPosThresh | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getPosThresh( |  | )

## ◆ getScaleStep()

virtual double cv::GeneralizedHoughGuil::getScaleStep | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getScaleStep( |  | )

## ◆ getScaleThresh()

virtual int cv::GeneralizedHoughGuil::getScaleThresh | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getScaleThresh( |  | )

## ◆ getXi()

virtual double cv::GeneralizedHoughGuil::getXi | ( |  | ) | const
| pure virtual

Python:
| retval | = | cv.GeneralizedHoughGuil.getXi( |  | )

## ◆ setAngleEpsilon()

virtual void cv::GeneralizedHoughGuil::setAngleEpsilon | ( | double | angleEpsilon | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setAngleEpsilon( | angleEpsilon | )

Maximal difference between angles that treated as equal.

## ◆ setAngleStep()

virtual void cv::GeneralizedHoughGuil::setAngleStep | ( | double | angleStep | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setAngleStep( | angleStep | )

Angle step in degrees.

## ◆ setAngleThresh()

virtual void cv::GeneralizedHoughGuil::setAngleThresh | ( | int | angleThresh | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setAngleThresh( | angleThresh | )

Angle votes threshold.

## ◆ setLevels()

virtual void cv::GeneralizedHoughGuil::setLevels | ( | int | levels | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setLevels( | levels | )

Feature table levels.

## ◆ setMaxAngle()

virtual void cv::GeneralizedHoughGuil::setMaxAngle | ( | double | maxAngle | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setMaxAngle( | maxAngle | )

Maximal rotation angle to detect in degrees.

## ◆ setMaxScale()

virtual void cv::GeneralizedHoughGuil::setMaxScale | ( | double | maxScale | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setMaxScale( | maxScale | )

Maximal scale to detect.

## ◆ setMinAngle()

virtual void cv::GeneralizedHoughGuil::setMinAngle | ( | double | minAngle | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setMinAngle( | minAngle | )

Minimal rotation angle to detect in degrees.

## ◆ setMinScale()

virtual void cv::GeneralizedHoughGuil::setMinScale | ( | double | minScale | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setMinScale( | minScale | )

Minimal scale to detect.

## ◆ setPosThresh()

virtual void cv::GeneralizedHoughGuil::setPosThresh | ( | int | posThresh | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setPosThresh( | posThresh | )

Position votes threshold.

## ◆ setScaleStep()

virtual void cv::GeneralizedHoughGuil::setScaleStep | ( | double | scaleStep | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setScaleStep( | scaleStep | )

Scale step.

## ◆ setScaleThresh()

virtual void cv::GeneralizedHoughGuil::setScaleThresh | ( | int | scaleThresh | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setScaleThresh( | scaleThresh | )

Scale votes threshold.

## ◆ setXi()

virtual void cv::GeneralizedHoughGuil::setXi | ( | double | xi | ) |
| pure virtual

Python:
| None | = | cv.GeneralizedHoughGuil.setXi( | xi | )

Angle difference in degrees between two points in feature.

The documentation for this class was generated from the following file:

- opencv2/imgproc.hpp